<div class="main-form">
  <div class="main-form__header">
    <h1>Sign up</h1>
  </div>

  <form
    class="main-form__body"
    (submit)="submitSignUpForm()"
    [formGroup]="signUpForm"
  >
    <!-- Form heading meassages -->

    <div *ngIf="signUpResponse !== null">
      <div class="main-form__body--msg-success" *ngIf="signUpResponse">
        <span>Registration was successful</span>
      </div>

      <div *ngIf="!signUpResponse">
        <div
          *ngIf="responseMessage === 'EMAIL_EXISTS'"
          class="main-form__body--msg-error"
        >
          <span>Email already exists</span>
        </div>

        <div
          *ngIf="responseMessage === 'INVALID_EMAIL'"
          class="main-form__body--msg-error"
        >
          <span>Email is invalid</span>
        </div>
      </div>
    </div>

    <!-- Form heading meassages / end -->

    <!-- Form input fields -->

    <div class="form-item">
      <input
        class="form-item__input"
        [ngClass]="{ 'form-item__input--invalid': validEmail }"
        placeholder="E-mail*"
        formControlName="email"
      />
      <span *ngIf="validEmail" class="form-item--message">
        Invalid email
      </span>
    </div>

    <div class="form-item">
      <input
        class="form-item__input"
        [ngClass]="{ 'form-item__input--invalid': validPassword }"
        placeholder="Password*"
        type="password"
        formControlName="password"
      />
      <span *ngIf="validPassword" class="form-item--message">
        Your password must be at least 6 characters long.
      </span>
    </div>

    <div class="form-item">
      <input
        class="form-item__input"
        [ngClass]="{ 'form-item__input--invalid': passwordMatch }"
        placeholder="Confirm password*"
        type="password"
        formControlName="passwordConfirm"
      />
      <span *ngIf="passwordMatch" class="form-item--message">
        Passwords doesn't match
      </span>
    </div>

    <!-- Form input fields / end -->

    <button
      [disabled]="!validateForm"
      [ngClass]="{
        primary: validateForm,
        'disabled-btn': !validateForm
      }"
      type="submit"
      class="button medium-btn"
    >
      Sign up
    </button>
  </form>
  <span
    >Already have an account? You can <a routerLink="/login">Sign In</a></span
  >
</div>
